VMTKSURFACEENDCLIPPER(1)

NAME
vmtksurfaceendclipper - vmtk script vmtksurfaceendclipper

DESCRIPTION
Automatic piping vmtksurfaceendclipper Parsing options vmtksurfaceendclipper

vmtksurfaceendclipper : interactively clip a tubular surface with

    normals estimated at seed locations. It is recomended that the option to clip based on centerlines normals is enabled to increase the accuracy of the clipping. If desired, a centerline containing the Frenet Tangent Array must be fed in along with the surface. This is generated by passing a centerline through the vmtkcenterlinegeometry script.

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1): the input surface

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-centerlinenormal CenterlineNormals (bool,1); default=0: toggle

    using centerline tangent for normal estimation

-centerlines Centerlines (vtkPolyData,1): the input centerlines

-centerlinesfile CenterlinesInputFileName (str,1): filename for the

    default Centerlines reader

-frenettangentarray FrenetTangentArrayName (str,1);

    default=FrenetTangent: name of the array where centerline tangent vectors of the Frenet reference system are stored

-renderer vmtkRenderer (vmtkRenderer,1): external renderer

-ofile SurfaceOutputFileName (str,1): filename for the default

    Surface writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Surface (vtkPolyData,1): the output surface